$(function(){
	
	var r = Raphael('map', 700, 600),
		attributes = {
            fill: '#fff',
            stroke: '#3899E6',
            'stroke-width': 1,
            'stroke-linejoin': 'round'
        },
		arr = new Array();
	
	for (var country in paths) {
		
		var obj = r.path(paths[country].path);
		
		obj.attr(attributes);
		
		arr[obj.id] = country;
		
		obj
		.hover(function(){
			this.animate({
				fill: '#1669AD'
			}, 300);
			
			document.location.hash = arr[this.id];
			
			var point = this.getBBox(0);
			
			$('#map').next('.point').remove();
			
			$('#map').after($('<div />').addClass('point'));
			
			
			var h=50;
			
			if(point.height<30)
			{
				h=50;
					
			
			
			}
			else
			{
			h=100;
			
			}
			
			$('.point')
					.html(paths[arr[this.id]].name)
					
					.css({
						left: point.x+(point.width/2)-80,
						top: point.y+(point.height/2)-h
					})
					.fadeIn();
			
			
		}, function(){
			this.animate({
				fill: attributes.fill
			}, 300);
		})
		.click(function(){
		
			document.location = paths[arr[this.id]].url;
			
		});
		
		$('.point').find('.close').live('click', function(){
			var t = $(this),
				parent = t.parent('.point');
			
			parent.fadeOut(function(){
				parent.remove();
			});
			return false;
		});
		
		
		 
		
	}
		
			
});

